Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.connectionmanager
Class ConnectionManagerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.teleal.cling.model.action.ActionException
                  org.teleal.cling.support.connectionmanager.ConnectionManagerException

All Implemented Interfaces:
  Serializable

    public class ConnectionManagerException

extends org.teleal.cling.model.action.ActionException

See Also:
  Serialized Form

Constructor Summary
`ConnectionManagerException(ConnectionManagerErrorCode errorCode)`
`ConnectionManagerException(ConnectionManagerErrorCode errorCode, String message)`
`ConnectionManagerException(org.teleal.cling.model.types.ErrorCode errorCode)`
`ConnectionManagerException(org.teleal.cling.model.types.ErrorCode errorCode, String message)`
`ConnectionManagerException(int errorCode, String message)`
`ConnectionManagerException(int errorCode, String message, Throwable cause)`

Method Summary

Methods inherited from class org.teleal.cling.model.action.ActionException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionManagerException

    public ConnectionManagerException(int errorCode,
                                      String message)

### ConnectionManagerException

    public ConnectionManagerException(int errorCode,
                                      String message,
                                      Throwable cause)

### ConnectionManagerException

    public ConnectionManagerException(org.teleal.cling.model.types.ErrorCode errorCode,
                                      String message)

### ConnectionManagerException

    public ConnectionManagerException(org.teleal.cling.model.types.ErrorCode errorCode)

### ConnectionManagerException

    public ConnectionManagerException(ConnectionManagerErrorCode errorCode,
                                      String message)

### ConnectionManagerException

    public ConnectionManagerException(ConnectionManagerErrorCode errorCode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.